import type { PlatformInfo } from "./platform-info.js";
import type { AssembleShaderOptions } from "./assemble-shaders.js";
/**
 * Options for `ShaderAssembler.assembleShaders()`
 */
export type AssembleShaderProps = Omit<AssembleShaderOptions, 'vs' | 'fs'> & {
    platformInfo: PlatformInfo;
    /** Single shader source. Always WGSL */
    source?: string | null;
    /** Vertex shader source. Can be GLSL or WGSL or both */
    vs?: {
        glsl?: string;
        wgsl?: string;
    } | string | null;
    /** Fragment shader source. Can be GLSL or WGSL or both */
    fs?: {
        glsl?: string;
        wgsl?: string;
    } | string | null;
};
/**
 * Shader selection
 * @param device
 * @param props
 * @returns
 */
export declare function selectShaders(props: AssembleShaderProps): AssembleShaderOptions;
//# sourceMappingURL=select-shaders.d.ts.map